Bug 1030029 - [abrt] syncevolution-1.3.99.3-1.fc19: operator new: Process /usr/libexec/syncevo-dbus-helper was killed by signal 11 (SIGSEGV)
[abrt] syncevolution-1.3.99.3-1.fc19: operator new: Process /usr/libexec/sync...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: syncevolution (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:7c2ec46b9309a918d8df07bba72...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 13:24 EST by Thomas Sailer
Modified: 2014-06-26 11:58 EDT (History)
1 user (show)

See Also:
Fixed In Version: syncevolution-1.4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-26 11:58:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (71.88 KB, text/plain)
2013-11-13 13:25 EST, Thomas Sailer
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-13 13:25 EST, Thomas Sailer
no flags Details
File: core_backtrace (25.38 KB, text/plain)
2013-11-13 13:25 EST, Thomas Sailer
no flags Details
File: dso_list (17.29 KB, text/plain)
2013-11-13 13:25 EST, Thomas Sailer
no flags Details
File: environ (335 bytes, text/plain)
2013-11-13 13:25 EST, Thomas Sailer
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-13 13:25 EST, Thomas Sailer
no flags Details
File: maps (81.40 KB, text/plain)
2013-11-13 13:25 EST, Thomas Sailer
no flags Details
File: open_fds (254 bytes, text/plain)
2013-11-13 13:25 EST, Thomas Sailer
no flags Details
File: proc_pid_status (949 bytes, text/plain)
2013-11-13 13:25 EST, Thomas Sailer
no flags Details
File: var_log_messages (1.18 KB, text/plain)
2013-11-13 13:25 EST, Thomas Sailer
no flags Details

  None (edit)
Description Thomas Sailer 2013-11-13 13:24:54 EST
Description of problem:
syncevolution --run myconfig

The crash happens when syncing calendar/todo items from a Nokia E70 phone

1.3.99.5 fixes the crash

Version-Release number of selected component:
syncevolution-1.3.99.3-1.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/libexec/syncevo-dbus-helper
crash_function: operator new
executable:     /usr/libexec/syncevo-dbus-helper
kernel:         3.11.6-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1591

Truncated backtrace:
Thread no. 1 (10 frames)
 #3 operator new at ../../../../libstdc++-v3/libsupc++/new_op.cc:51
 #4 sysync::TScriptContext::evalTerm at /usr/src/debug/syncevolution-1.3.99.3/src/synthesis/src/sysync/scriptcontext.cpp:3944
 #5 sysync::TScriptContext::evalExpression at /usr/src/debug/syncevolution-1.3.99.3/src/synthesis/src/sysync/scriptcontext.cpp:4134
 #6 sysync::TScriptContext::ExecuteScript at /usr/src/debug/syncevolution-1.3.99.3/src/synthesis/src/sysync/scriptcontext.cpp:4462
 #7 sysync::TScriptContext::execute at /usr/src/debug/syncevolution-1.3.99.3/src/synthesis/src/sysync/scriptcontext.cpp:3628
 #8 sysync::TMultiFieldItemType::internalFillInData at /usr/src/debug/syncevolution-1.3.99.3/src/synthesis/src/sysync/multifielditemtype.cpp:995
 #9 sysync::TMimeDirItemType::internalFillInData at /usr/src/debug/syncevolution-1.3.99.3/src/synthesis/src/sysync/mimediritemtype.cpp:254
 #10 sysync::TSyncItemType::newSyncItem at /usr/src/debug/syncevolution-1.3.99.3/src/synthesis/src/sysync/syncitemtype.cpp:702
 #11 sysync::TLocalEngineDS::engProcessSyncOpItem at /usr/src/debug/syncevolution-1.3.99.3/src/synthesis/src/sysync/localengineds.cpp:5196
 #12 sysync::TSyncSession::processSyncOpItem at /usr/src/debug/syncevolution-1.3.99.3/src/synthesis/src/sysync/syncsession.cpp:3851
Comment 1 Thomas Sailer 2013-11-13 13:25:03 EST
Created attachment 823596 [details]
File: backtrace
Comment 2 Thomas Sailer 2013-11-13 13:25:07 EST
Created attachment 823597 [details]
File: cgroup
Comment 3 Thomas Sailer 2013-11-13 13:25:10 EST
Created attachment 823598 [details]
File: core_backtrace
Comment 4 Thomas Sailer 2013-11-13 13:25:13 EST
Created attachment 823599 [details]
File: dso_list
Comment 5 Thomas Sailer 2013-11-13 13:25:16 EST
Created attachment 823600 [details]
File: environ
Comment 6 Thomas Sailer 2013-11-13 13:25:19 EST
Created attachment 823601 [details]
File: limits
Comment 7 Thomas Sailer 2013-11-13 13:25:24 EST
Created attachment 823602 [details]
File: maps
Comment 8 Thomas Sailer 2013-11-13 13:25:28 EST
Created attachment 823603 [details]
File: open_fds
Comment 9 Thomas Sailer 2013-11-13 13:25:31 EST
Created attachment 823604 [details]
File: proc_pid_status
Comment 10 Thomas Sailer 2013-11-13 13:25:34 EST
Created attachment 823605 [details]
File: var_log_messages
Comment 11 Fedora Admin XMLRPC Client 2014-06-12 06:38:34 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.